Subject: 28.0.60; tab-bar is not updated when buffer is killed

From: Lars Ljung <[email-masked]>
Date: Sun, 21 Nov 2021 14:33:37 +0100

When a buffer is killed it seams like only the active tab is updated. 
E.g. if a buffer that is shown in another tab is killed from the buffer 
list, then the tab-bar will still show that buffer name. The name of 
that tab will be updated when you switch to it.

This bug is also present on Emacs 27 and on master.